import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'datepicker.collapse';

export default ({ currentMonth, path, root, highlightedIndex, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root,
        },
        payload: {
            currentMonth,
            expanded: false,
            highlightedIndex,
        },
    };
};

export const reducer = handleFoundationAction(foundation);
