import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'autocomplete.data-fetched';

export default ({ options, optionsTotal, path, root, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root,
        },
        payload: {
            expanded: true,
            fetching: false,
            highlightedIndex: -1,
            options,
            optionsTotal,
        },
    };
};

export const reducer = handleFoundationAction(foundation);
