import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import { connect } from 'react-redux';

import FoundationInformationIcon from './FoundationInformationIcon';
import * as lightbox from './redux/actions';


const FoundationInformationIconContainer = React.createClass({

    mixins: [PureRenderMixin],

    render() {
        return (
            <FoundationInformationIcon { ...this.props } />
        );
    },

});


const mapDispatchToProps = (dispatch) => {
    return {
        onClick: (title, description) => dispatch(lightbox.info({ description, title })),
    };
};

export default connect(null, mapDispatchToProps)(FoundationInformationIconContainer);
